@import url('https://fonts.googleapis.com/css2?family=Doto:wght@100..900&display=swap');

:root {
    --bg-color: black;
    --max-width: 32rem;
    --width-cards: 100%;
    --white-bg: rgb(242, 244, 246);
    --border-radius: 0.5rem;
    --gray-color: rgb(113, 115, 115);
    --transition: 0.1s all ease-in;
    --box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    --main-bg: rgb(245, 245, 245);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--main-bg);
    font-size: 1em;
    color: var(--main-bg);
    overflow-x: hidden;
    font-family: sans-serif;
}
a{
    text-decoration: none;
    color: currentColor;
}

h1, h2{
    font-family: "Doto", sans-serif;
    text-transform: uppercase;
    padding: 0;
    margin: 0;
}

.navBar h2 {
    font-size: 1.25em;
    line-height: 1em;
    font-weight: bold;
    color: var(--bg-color);
    padding: 1rem;
}

.widthMaxwidth {
    max-width: var(--max-width);
    width: var(--width-cards);
    border-radius: var(--border-radius);
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 1em;
    margin: auto;
}

.navBar {
    background: var(--white-bg);
    position: fixed;
    top: 1em;
    left: 50%;
    transform: translateX(-50%);
    z-index: 100;
    padding: 0 2em;
    width: 90vw;
    box-shadow: var(--box-shadow);
}

.text-grey-darker{
    color: var(--gray-color);
}









.footer{
    background-color: var(--bg-color);
    cursor: unset;
}

.navFooter{
    flex-direction: column;
    padding-top: 8em;
    gap: 1rem;
    width: fit-content;
    cursor: auto;
}
.navFooter h1 a{
    font-size: 2.5rem;
    line-height: 1em;
    font-weight: 500;
    transition: var(--transition);
    padding: 0 0.5em;
    cursor: pointer;
}
.navFooter h1 a:hover{
    color: var(--gray-color);
}

.footerCardContainer{
    width: 100%;
    padding-top: 2em;
}
.footerCard{
    background-color: rgb(13, 13, 13);
    border-radius: var(--border-radius);
    display: flex;
    justify-content: space-between;
    padding: 0.75em;
    margin: 2px 0;
    align-items: center;
    transition: var(--transition);
    cursor: pointer;
    position: relative;
    z-index: 11;
}
.footerCard:hover{
    background-color: transparent;
}
.footerCard h3{
    font-size: 0.6875em;
    line-height: 1em;
    font-weight: 400;
    text-transform: uppercase;
}


.lastFooter{
    display: flex;
    justify-content: space-between;
    padding: 2em;
    gap: 3rem 0;
    background-color: var(--bg-color);
}
.lastFootpart{
    display: grid;
    grid-template-columns: repeat(5,1fr);
    justify-items: center;
    gap: 1em;
    flex-wrap: wrap;
}
.lastFootpart p{
    font-size: 0.6875em;
    line-height: 1.1em;
    font-weight: 400;
    cursor: pointer;
    transition: var(--transition);
    text-transform: uppercase;
    z-index: 11;
}
.lastFootpart p:hover{
    color: var(--gray-color);
}



.dotContainer{
    position: fixed;
    top: 0;
    left: 0;
    color: black;
    height: 100vh;
    width: 100vw;
    /* z-index: 10; */
}
.navFooter h1 a{
    position: relative;
    z-index: 11;
}


.dotGrid{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 3px;
    position: relative;
}

.dotBox{
    position: relative;
    width: 8vw;
    height: 8vw;
}

.dot{
    height: 2px;
    width: 2px;
    border-radius: 10px;
    background: var(--bg-color);
    position: absolute;
    top: 50%;
    left: 50%;
}


@media(max-width: 768px){
    .lastFootpart{
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(5, 1fr);
    }
    .lastFootpart p{
        padding: 1em 0;
    }
    .lastFootpart1{
        justify-items: start;
    }
    .lastFootpart2{
        justify-items: end;
    }
       
    .dotBox{
        width: 18vw;
        height: 18vw;
    }
    
}

@media(max-width: 375px){
    .navFooter h1 a{
        padding: 0;
    }
}


